Subject: Re: [REGRESSION,6.14.0-rc1]: rk_gmac-dwmac: no ethernet device shows up (NanoPi M4)

From: "Russell King (Oracle)" <[email-masked]>
Date: Wed, 5 Feb 2025 15:59:28 +0000

On Wed, Feb 05, 2025 at 12:00:24PM +0100, Domenico Andreoli wrote:
> On Wed, Feb 05, 2025 at 04:19:58AM +0000, Jason Montleon wrote:
> > On Monday, February 3rd, 2025 at 5:51 AM, Domenico Andreoli <[email-masked]> wrote:
> > > Hi,
> > >
> > > This morning I tried 6.14.0-rc1 on my NanoPi M4, the ethernet does not
> > > show up.
> > 
> > I am experiencing similar behavior on the Lichee Pi 4A with thead-dwmac. It works fine on 6.12.12 and 6.13.1, but with 6.14-rc1 I don't see these last several lines of output as in your case. I did also see the same new error:
> > +stmmaceth ffe7070000.ethernet: Can't specify Rx FIFO size
> > 
> > It looks like this message was introduced in the following commit and if I build with it reverted my ethernet interfaces work again.
> > 
> > https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/drivers/net/ethernet/stmicro?h=v6.14-rc1&id=8865d22656b442b8d0fb019e6acb2292b99a9c3c
> 
> Confirmed, reverting it resurrects the ethernet also for me.

This is a known issue. A revert has been submitted:

https://lore.kernel.org/r/[email-masked]

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 80Mbps down 10Mbps up. Decent connectivity at last!